Skip to main content
PATCH
Update a dashboard widget

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Path Parameters

id
string
required

DashboardWidget identifier

Body

application/merge-patch+json

The updated DashboardWidget resource

name
string
title
string
type
string
icon
string | null
defaultConfiguration
(string | null)[]
permissions
(string | null)[] | null
position
integer | null
isSystem
boolean
default:false
isActive
boolean
default:true
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

discussionNamespace
string<iri-reference> | null
Example:

"/api/v1/discussion_namespaces/1"

dashboardCategory
string<iri-reference> | null
Example:

"/api/v1/dashboard_categories/1"

dateCreated
string<date-time>
dateUpdated
string<date-time>

Response

DashboardWidget resource updated

id
integer
read-only
name
string
title
string
type
string
icon
string | null
defaultConfiguration
(string | null)[]
permissions
(string | null)[] | null
position
integer | null
isSystem
boolean
default:false
isActive
boolean
default:true
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

discussionNamespace
string<iri-reference> | null
Example:

"/api/v1/discussion_namespaces/1"

dashboardCategory
string<iri-reference> | null
Example:

"/api/v1/dashboard_categories/1"

dateCreated
string<date-time>
dateUpdated
string<date-time>
hasConfiguration
boolean
read-only